Your message dated Thu, 01 Feb 2018 12:21:31 +0000
with message-id <e1ehdrv-000ets...@fasolo.debian.org>
and subject line Bug#887069: fixed in node-uuid 1.4.7-2
has caused the Debian Bug report #887069,
regarding node-node-uuid installs a broken link and making dependencies like 
npm broken
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
887069: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=887069
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
package: node-node-uuid
version: 1.4.7-1
severity: grave

it also breaks packages that depend on it like npm.


node -e "require('node-uuid');"
module.js:538
    throw err;
    ^

Error: Cannot find module 'node-uuid'
    at Function.Module._resolveFilename (module.js:536:15)
    at Function.Module._load (module.js:466:25)
    at Module.require (module.js:579:17)
    at require (internal/module.js:11:18)
    at [eval]:1:1
    at ContextifyScript.Script.runInThisContext (vm.js:50:33)
    at Object.runInThisContext (vm.js:139:38)
    at Object.<anonymous> ([eval]-wrapper:6:22)
    at Module._compile (module.js:635:30)
    at evalScript (bootstrap_node.js:462:27)


It is installing a broken link. Adding a simple require test can find
such errors (npm2deb adds such tests by default).

ls -l /usr/lib/nodejs/node-uuid/index.js lrwxrwxrwx 1 root root 48 Jan
11 01:54 /usr/lib/nodejs/node-uuid/index.js ->
../../../share/javascript/node-uuid/node-uuid.js

Attachment: signature.asc
Description: OpenPGP digital signature


--- End Message ---
--- Begin Message ---
Source: node-uuid
Source-Version: 1.4.7-2

We believe that the bug you reported is fixed in the latest version of
node-uuid, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 887...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <d...@jones.dk> (supplier of updated node-uuid package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 01 Feb 2018 13:04:59 +0100
Source: node-uuid
Binary: libjs-node-uuid node-node-uuid
Architecture: source all
Version: 1.4.7-2
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers 
<pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <d...@jones.dk>
Description:
 libjs-node-uuid - simple and fast RFC4122 UUID generation - JavaScript library
 node-node-uuid - simple and fast RFC4122 UUID generation - Node.js module
Closes: 887069
Changes:
 node-uuid (1.4.7-2) unstable; urgency=medium
 .
   * Fix symlink.
     Closes: Bug#887069. Thanks to Pirate Praveen and others.
Checksums-Sha1:
 a6bc09f447dd6536f7de450995724f99236294c5 2022 node-uuid_1.4.7-2.dsc
 1895c5da43ccb5fa2f5c32fe417149aa3798ae54 4956 node-uuid_1.4.7-2.debian.tar.xz
 32a37240157629788fd7f9ef4842d9a33df680b5 11636 libjs-node-uuid_1.4.7-2_all.deb
 902bcf2324c4a72f6a9e3f85e3eb6b37e5423371 8444 node-node-uuid_1.4.7-2_all.deb
 7d8e274bee34c74f8dc1083f4bc78b90d86a99c4 7080 node-uuid_1.4.7-2_amd64.buildinfo
Checksums-Sha256:
 e64a28c38267162f8fd8f4764ed255fb5e53f0803f40a7aa50e51b36dcf79462 2022 
node-uuid_1.4.7-2.dsc
 eda02b84daf089d1eac8eab5282fc7cc45bee17589b5bfa357979b89c057b7ff 4956 
node-uuid_1.4.7-2.debian.tar.xz
 3c8b45ef388df2c9312f8bc92ee1ef38d4ef586efe18c3256a9d05dedc5f7bcc 11636 
libjs-node-uuid_1.4.7-2_all.deb
 6d263e65824d415b1f77c6682d7ff5cc10ce2477e5b93a56196740c675edf6e1 8444 
node-node-uuid_1.4.7-2_all.deb
 42335180847aa00e9bf1dfc9be89a66c99eaf5e04e23887fe7bc2c53eb0e2702 7080 
node-uuid_1.4.7-2_amd64.buildinfo
Files:
 221ee4b9d96932df759da604f8640eb1 2022 javascript optional node-uuid_1.4.7-2.dsc
 27e11cb66c10d0cbaf643e8b1b7d0eae 4956 javascript optional 
node-uuid_1.4.7-2.debian.tar.xz
 b723c7dc6c7a697d31c7c9db460628aa 11636 javascript optional 
libjs-node-uuid_1.4.7-2_all.deb
 3042be6273b7c473802777bd4f37b099 8444 javascript optional 
node-node-uuid_1.4.7-2_all.deb
 0089a8fc82d27796fe0ab82ca7b410b1 7080 javascript optional 
node-uuid_1.4.7-2_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEn+Ppw2aRpp/1PMaELHwxRsGgASEFAlpzA9AACgkQLHwxRsGg
ASHWHRAArFsVgnvyOPagFt09dvY0QFBBgPTTwR/u37+4ewcfF9c4gYXoLy9gN+8V
kqUbZSILXWvr4GS2P/mtJ5t+VDojA4WhErEjhRNrXX5oFSIG8as/HdIF4GVHgrwL
cI9SvUdd3VqNaNRi33xZVVxuZChQFJXOg2OlK+zU1gmKWAV2kSqSGUVOE30eEINM
MYD0p40GhgpCAsOdtxNZ7bc7vX1hp6moRDKuQLXlxszQCjrXm9V6iaMlQwE9P98T
JmRSx3zcgl+tG1Je/4B10phTtgRP/XZK3AwmADuT2ei7ve62tLOu4MXBaZQtqcWy
vxL7Mf8MOBSJWjyi9v9IJ9MDg3sKJcz2VirNJwJJnVifaQni5+h2jWjD24zgLHVV
YSna9DJ/46VuEr/q3/x67Eru0ImkQheguPYZ+0NS4DhLP4WaiDi5o72hM6kcJP1f
sSbgezndB4Lq7yV58/wSfx3/Mf01ADpGq3EtXRMKpXgEWwCU+v+g3Yg72rOM0qhh
MdTkr+kjGvTBPOsgxJ7YoO3D+Kx54ycSHEnd7CWDDovcDjDe9gS+3F2sopNyqnyY
C+LtDg59sGs3RwwK0ICUuByBhQDeOXS+f4svsJ9aymNzXlEQxMfSmSNroyZTIOwk
WL/Fi3uIiLvyW8Ppz5iwGKYVjnhMuln5aOpt20fqCEmYiBAKcDQ=
=c2NR
-----END PGP SIGNATURE-----

--- End Message ---
-- 
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to